org.deidentifier.arx.gui.view.def

## Interface IView

All Known Subinterfaces:
  ViewStatisticsBasic

All Known Implementing Classes:
  AbstractMenu, ComponentHierarchyMenu, Controller, LayoutRisksAbstract, LayoutRisksBottom, LayoutRisksTop, LayoutTransformationModel, LayoutUtilityStatistics, MainMenu, MainToolBar, MainWindow, ViewAttributeList, ViewAttributeTransformation, ViewAttributeWeights, ViewClipboard, ViewCodingModel, ViewCostBenefitModel, ViewData, ViewDataInput, ViewDataOutput, ViewFilter, ViewLattice, ViewList, ViewPopulationModel, ViewPrivacyModels, ViewProperties, ViewProperties, ViewPropertiesInput, ViewPropertiesOutput, ViewRisks, ViewRisksAttackerModels, ViewRisksHIPAAIdentifiersTable, ViewRisksOverview, ViewRisksPopulationUniques, ViewRisksQuasiIdentifiers, ViewRisksQuasiIdentifiersTable, ViewRisksRiskDistribution, ViewSolutionSpace, ViewStatistics, ViewStatisticsClassification, ViewStatisticsClassificationAttributes, ViewStatisticsClassificationConfiguration, ViewStatisticsClassificationInput, ViewStatisticsClassificationOutput, ViewStatisticsContingencyHeatmap, ViewStatisticsContingencyTable, ViewStatisticsDistributionHistogram, ViewStatisticsDistributionTable, ViewStatisticsEquivalenceClassTable, ViewStatisticsQuality, ViewStatisticsSummaryTable, ViewSubsetDefinition, ViewTiles, ViewTransformationSettings, ViewUtilityMeasures

    public interface IView

An interface for views.

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dispose()` Disposes the view.
`void` `reset()` Resets the view.
`void` `update(ModelEvent event)` Updates the view.

### Method Detail

#### dispose

    void dispose()

Disposes the view.

#### reset

    void reset()

Resets the view.

#### update

    void update(ModelEvent event)

Updates the view.

Parameters:
  `event` -